<template>
  <div class="wraper">
    <span class="line"></span>
    <div class="content">
      <slot />
    </div>
  </div>
</template>

<script>
export default {
  name: "LinedComponent"
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.wraper
  display flex
  direction rtl

.line
  background-color $primary
  min-width .5rem
  margin-left $md 
</style>